Skip to main content
`Ctrl`+`K`

# PetscLogEventDeactivatePush

Indicates that a particular event should not be logged until `PetscLogEventDeactivatePop()` is called

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventDeactivatePush(PetscLogEvent event)

Not Collective

## Input Parameter

- event - The event id

## Example Usage

          PetscLogEventDeactivatePush(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventDeactivatePop(VEC_SetValues);
            [code where you do want to log VecSetValues()]

## Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with `PetscLogEventRegister()`).

PETSc’s default log handler (`PetscLogDefaultBegin()`) respects this function because it can make the output of `PetscLogView()` easier to interpret, but other handlers (such as the nested handler, `PetscLogNestedBegin()`) ignore it because suppressing events is not helpful in their output formats.

## See Also

Profiling, `PetscLogEventActivate()`, `PetscLogEventDeactivate()`, `PetscLogEventDeactivatePop()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages